Skip to main content

Build Campaign

The Build Campaign API finalizes or triggers the build process for an existing campaign.


Endpoint

PUT /api/campaign/{campaignId}/build

Request Example

curl --location --request PUT 'https://beta.intelsend.com/api/campaign/68b0b5ccfcccb5cfc3b1f4eb/build' \\ --header 'Cookie: __Secure-next-auth.session-token=eyJhbGciOiJkaXIiLCJlbmMiOiJBMjU2R0NNIn0..2W6Htv9tTsfaGhNh.7EvYvDBLUVyuCp8VCRKGObfZQPXklqXfcdmz_qN-KALHJzCzYYCWzDvzsQ7NixByulIRTNQMaefhrw4tfYNhOeLHM8x7VePdWpXMo5FKICwfFwGz9VvkfaXuNMWxQTaV_czzwjIiAsEB2ei7h117tGaDwaP4VZfIL6yAoGNeXB0Fy6z0zk65vyqX_gs8sFg9IjD7zef0JL3sH_x5EgbU2qpnC3ovj6gm5DL8n60dtZsKh36sCMuJt4pKPgzpQrBViqo3sFsZGXIo.V95YlLrYrzT5u5ey68WFZw'

Path Parameters

ParameterTypeRequiredDescription
campaignIdstringUnique campaign identifier

Authentication This endpoint requires a valid session token passed as a cookie header:

Cookie: __Secure-next-auth.session-token=<token>

Example Response

{ "result": "success" }

Response Fields

FieldTypeDescription
resultstringStatus of the API call. "success" if the campaign was built successfully.

Note

Make sure your campaign is fully configured before calling Build. This action usually marks the campaign as ready for execution.